summaryrefslogtreecommitdiffstats
path: root/system/pcem-roms
diff options
context:
space:
mode:
author K. Eugene Carlson <kvngncrlsn@gmail.com>2022-03-30 21:23:44 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-02 18:19:16 +0700
commit345513dd124218c192242bd20fa29e65512afe48 (patch)
treea943c00b4d0fa9d324228e7003bbcb42901215a7 /system/pcem-roms
parent304cbbe6d9066f23ebb11dd1eef241836f5f7d21 (diff)
downloadslackbuilds-345513dd124218c192242bd20fa29e65512afe48.tar.gz
slackbuilds-345513dd124218c192242bd20fa29e65512afe48.tar.xz
system/pcem-roms: Added (rom files for the pcem emulator)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/pcem-roms')
-rw-r--r--system/pcem-roms/README23
-rw-r--r--system/pcem-roms/pcem-roms.SlackBuild109
-rw-r--r--system/pcem-roms/pcem-roms.info12
-rw-r--r--system/pcem-roms/slack-desc19
4 files changed, 163 insertions, 0 deletions
diff --git a/system/pcem-roms/README b/system/pcem-roms/README
new file mode 100644
index 0000000000..d648d9fe0f
--- /dev/null
+++ b/system/pcem-roms/README
@@ -0,0 +1,23 @@
+pcem-roms (rom file collection for PCem)
+
+pcem-roms is a collection of rom files that can be used with the PCem
+emulator. Once installed, the files will be in /usr/share/pcem/roms,
+ready to be used by PCem.
+
+These files are all proprietary (excluding xtide), and the archive comes
+from upstream without a license. Granted, none of the roms in the
+collection could be described as "recent" by any stretch of the
+imagination.
+
+Some files for the mach64g were included at the time PCem 17 was
+released, but have since been removed from the upstream GitHub
+repository. They are mostly Windows 3.1 and Windows 95 drivers and other
+Windows utilities. Although these files will not be installed by
+default, use EXTRAS=yes to include them.
+
+Two rom files are known to be missing from the collection:
+
+ Hyundai Super 16T
+ super16t_v1.12ta.bin
+ Hyundai Super 16TE
+ super16te_v2.00id.bin
diff --git a/system/pcem-roms/pcem-roms.SlackBuild b/system/pcem-roms/pcem-roms.SlackBuild
new file mode 100644
index 0000000000..08590506e7
--- /dev/null
+++ b/system/pcem-roms/pcem-roms.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/bash
+
+# Slackware build script for pcem-roms
+
+# K. Eugene Carlson (kvngncrlsn@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=pcem-roms
+SRCNAM=PCem-Roms
+DIRNAM=PCem-ROMs
+VERSION=${VERSION:-17.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+PKGTYPE=${PKGTYPE:-tgz}
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $DIRNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $DIRNAM-$VERSION
+# A missing rom for the Commodore PC-10
+mkdir cbm_pc10
+cp $CWD/cbm-pc10c-bios-v4.41-318085-08.bin cbm_pc10
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/pcem/roms
+cp -ar ./* $PKG/usr/share/pcem/roms
+
+cd $PKG/usr/share/pcem/roms
+
+# Extra files for the mach64g (mostly Windows 3.1/95 drivers and utilities)
+# were included in the archive at the time of release, but have since been
+# removed. These will not be installed by default. To install them anyway, set
+# EXTRAS=yes.
+if [ ! ${EXTRAS:-no} = yes ]; then
+ rm -r mach64g/Drivers\ \&\ Utils
+fi
+
+# Getting rid of extraneous text files.
+find . -name roms.txt -delete
+
+# Other cleanup
+rm -r kmxc02/3ctm005\ \(broken\).bin ne1000/url.txt xtide/serdrive.exe \
+ pb_1300sx pb_l300sx/pb_l300sx.zip gd5434 gd5430/pci.bin1 \
+ europc/50146\ char\ d1.0\ euro.u16 super286tr/hyundai_award286.bin \
+ amic206.bin t1000/t1000font.bin vs440fx/BIOSCS1.REC \
+ mach64g/bios.bin pb570/gd5430.bin1 infowaym/gd5434.bin
+
+# Capitalization fixes
+mv bull_micral_45/EVEN.FIL bull_micral_45/even.fil
+mv bull_micral_45/ODD.FIL bull_micral_45/odd.fil
+mv spc4200p/U8.01 spc4200p/u8.01
+mv spc4620p/31005H.U8 spc4620p/31005h.u8
+mv spc4620p/31005H.U10 spc4620p/31005h.u10
+mv spc6033p/phoenix.BIN spc6033p/phoenix.bin
+mv pb410a/pb410a.080337.4abf.u25.bin pb410a/PB410A.080337.4ABF.U25.bin
+mv zappa/1006BS0_.BIO zappa/1006bs0_.bio
+mv zappa/1006BS0_.BI1 zappa/1006bs0_.bi1
+mv pb520r/1009BC0R.BIO pb520r/1009bc0r.bio
+mv pb520r/1009BC0R.BI1 pb520r/1009bc0r.bi1
+mv pb570/1007BY0R.BIO pb570/1007by0r.bio
+mv pb570/1007BY0R.BI1 pb570/1007by0r.bi1
+mv p55tvp4/TV5I0204.AWD p55tvp4/tv5i0204.awd
+mv p55t2p4/0207_J2.BIN p55t2p4/0207_j2.bin
+mv oti037/BIOS.BIN oti037/bios.bin
+mv BlasterPCI.rom blasterpci.rom
+mv Pci_sg.rom pci_sg.rom
+
+cd $TMP/$DIRNAM-$VERSION
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.sw
+mv $PKG/usr/share/pcem/roms/{CONTRIBUTING.md,README.md} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+# Well, at least one part of this collection is licensed!
+mv $PKG/usr/share/pcem/roms/xtide/license.txt $PKG/usr/doc/$PRGNAM-$VERSION/xtide-license.txt
+mv $PKG/usr/share/pcem/roms/xtide/readme.txt $PKG/usr/doc/$PRGNAM-$VERSION/xtide-readme.txt
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/pcem-roms/pcem-roms.info b/system/pcem-roms/pcem-roms.info
new file mode 100644
index 0000000000..068137df0e
--- /dev/null
+++ b/system/pcem-roms/pcem-roms.info
@@ -0,0 +1,12 @@
+PRGNAM="pcem-roms"
+VERSION="17.0"
+HOMEPAGE="https://github.com/BaRRaKudaRain/PCem-ROMs"
+DOWNLOAD="https://github.com/BaRRaKudaRain/PCem-ROMs/archive/refs/tags/v17.0/PCem-Roms-17.0.tar.gz \
+ http://www.zimmers.net/anonftp/pub/cbm-pc/firmware/pc10/cbm-pc10c-bios-v4.41-318085-08.bin"
+MD5SUM="1de3c5fd08ab4b2b0cf353bc189d619b \
+ 598a1adee2a9ddaa5b0d4b73190ff990"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="K. Eugene Carlson"
+EMAIL="kvngncrlsn@gmail.com"
diff --git a/system/pcem-roms/slack-desc b/system/pcem-roms/slack-desc
new file mode 100644
index 0000000000..2fa4c7699e
--- /dev/null
+++ b/system/pcem-roms/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pcem-roms: pcem-roms (rom files for the pcem emulator)
+pcem-roms:
+pcem-roms: pcem-roms contains a collection of rom files for the pcem emulator,
+pcem-roms: sorted appropriately in /usr/share/pcem/roms.
+pcem-roms:
+pcem-roms: The roms in this package are old, but they are also proprietary. The
+pcem-roms: upstream repository provides them without a license.
+pcem-roms:
+pcem-roms:
+pcem-roms:
+pcem-roms: